> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Users from List

> API to remove users from a list by passing their distinct_ids.



## OpenAPI

````yaml POST /v1/subscriber_list/{list_id}/subscriber/remove
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/subscriber_list/{list_id}/subscriber/remove:
    post:
      summary: Remove Subscribers from List
      description: API to remove users from a list by passing their distinct_ids.
      operationId: remove-users-from-list
      parameters:
        - name: list_id
          in: path
          description: >-
            Unique string identifier of the list to which user needs to be
            updated
          required: true
          schema:
            type: string
            default: _list_id_
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                distinct_ids:
                  type: array
                  description: >-
                    Array of subscriber_ids, uniquely identifying the
                    subscribers to be removed from the list.
                  default:
                    - _distinct_id1_
                  items:
                    type: string
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    affected_count: 0
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  affected_count:
                    type: integer
                    example: 0
                required:
                  - success
                  - affected_count
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    error_code: not_found
                    type: NotFound
                    message: 'list_id: _list_id_ not found'
                    detail: 'list_id: _list_id_ not found'
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 404
                  error_code:
                    type: string
                    example: not_found
                  type:
                    type: string
                    example: NotFound
                  message:
                    type: string
                    example: 'list_id: _list_id_ not found'
                  detail:
                    type: string
                    example: 'list_id: _list_id_ not found'
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````